<?php
	// flag this as a parent file
	define( '_FEXEC', 1 );
	require('includes/application_top.php');
	define('HEADING_TITLE', 'CONCERT_DETAILS');
	
	/* get a handle */
	require(DIR_WS_CLASSES.'concert.php');	
	$con = new concert;
?>
<!doctype html public "-//W3C//DTD HTML 4.01 Transitional//EN">
<html <?php echo HTML_PARAMS; ?>>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=<?php echo CHARSET; ?>">
		<title><?php echo TITLE; ?></title>
		
		<link href="assets/vendor/bootstrap/css/bootstrap.min.css" rel="stylesheet">
		<link href="assets/vendor/bootstrap-icons/bootstrap-icons.css" rel="stylesheet">
		<link rel="stylesheet" type="text/css" href="includes/stylesheet.css">
		<link rel="stylesheet" type="text/css" href="includes/javascript/ui_themes/cupertino/jquery-ui-1.8.13.custom.css">
		<link rel="stylesheet" type="text/css" href="includes/javascript/jqGrid/css/ui.jqgrid.css">
		<!--[if IE]><style type="text/css" media="all">@import "includes/javascript/jqGrid/css/ui.jqgrid_ie.css";</style><![endif]-->
		<script src="includes/javascript/jquery-1.7.1.min.js"></script>
		<script src="includes/javascript/jquery-ui-1.8.13.custom.min.js"></script>
		<script src="includes/javascript/jqGrid/js/i18n/grid.locale-en.js"></script>
		<script src="includes/javascript/jqGrid/js/jquery.jqGrid.src.js"></script>
		<script type="text/javascript">$.jgrid.no_legacy_api = true;$.jgrid.useJSON = true;</script>
        <script src="includes/javascript/jqGrid.js"></script>
		<style>
		#set.btn[disabled] {
		  pointer-events: none; /* disables mouse events like hover, click */
		  background-color: #0d6efd; /* same as .btn-primary */
		  opacity: 1; /* removes Bootstrap dimming effect on disabled buttons */
		  cursor: default;
		}

		#set.btn[disabled]:hover {
		  background-color: #0d6efd; /* prevent hover color */
		}
		.how {
			margin:5px;
		}
	</style>
		<script>
		function hardRefreshPage() {
		  location.reload(true);
		}
	  </script>
</head>
		<?php require(DIR_WS_INCLUDES . 'header.php'); ?>
		<div class="">
		<?php include ('how-to-use-concert_details.php'); ?>
		</div>
		<?php
			/* display a language selector on demand */
			if($con->tep_isMultilanguage())
			{
				$arr = $con->tep_getLanguages();
				echo '<select id="language" style="width:90px;margin-top:10px;margin-left:20px;">';
				foreach($arr as $lang){echo '<option id="'.$lang['id'].'">'.$lang['name'].'</option>';}
				echo '</select>';
			}
		?>
		
		
		<table id="concert_grid"></table>
		<div id="concert_pager"></div>
		
		<script src="assets/vendor/bootstrap/js/bootstrap.bundle.min.js"></script>
		<?php require(DIR_WS_INCLUDES . 'footer.php'); ?>
	</body>
</html>
<?php require(DIR_WS_INCLUDES . 'application_bottom.php'); ?>