SET sql_mode = 'ALLOW_INVALID_DATES';

DELETE FROM `configuration` WHERE `configuration`.`configuration_id` = 1046;
DELETE FROM `configuration` WHERE `configuration`.`configuration_id` = 924;
DELETE FROM `configuration` WHERE `configuration`.`configuration_id` = 953;

INSERT INTO `configuration` (`configuration_id`, `configuration_title`, `configuration_key`, `configuration_value`, `configuration_description`, `configuration_group_id`, `sort_order`, `last_modified`, `date_added`, `use_function`, `set_function`) VALUES
(1046, 'UNIX expire date or date AND time', 'EXPIRE_DATE_TIME', 'date_&_time', 'date & time : When you want to expire categories by date and time e.g when using date plus session time 1pm =1300. date: Date only AND use \'Categories Hour of Expiry\' in relation to your timezone setting. e.g 8pm = 20 hours after midnight.', 929, 1, '2020-08-12 03:33:56', NULL, NULL, 'tep_cfg_select_option(array(\'date_&_time\', \'date\'),'),
(953, 'Allow full category expiry', 'ALLOW_CATEGORY_EXPIRY', 'no', 'Allow full category de-activation with expiry of categories', 929, 29, '2010-01-01', '2010-01-01', NULL, 'tep_cfg_select_option(array(\"yes\", \"no\"),');


insert into `general_templates` (`template_id`, `template_type`, `template_width`, `template_height`, `template_content`) values 
('4','TIC4','18.0000','7.0000','shop_logo_image{}ticket.png{}shop_logo_position{}L{}event_details_content{}osConcert presents\n\nosConcert\n[[Concert Name]]\n[[Concert Venue]]\n[[Concert Date]] - [[Concert Time]]\nTicket: [[Products Name]] Price: [[Concert Price]]\n[[Discount Type]]\n[[Coupon]]\n[[Customers Name]] [[Billing Name]]\nTicket ref: [[Ref ID]][[Order ID]]_[[Prd ID]][[GA ID]]\n\nTICKETS: osConcert Box Office - OBO\nTel - 123 456-1122 www.osconcert.com{}event_details_position{}L{}sponsor_logo_image{}sponsor_logo.png{}sponsor_logo_position{}R{}event_condition_content{}Refundable only if event is cancelled{}event_condition_position{}L{}bar_image_position{}'),
('5', 'TIC5', '18.0000', '7.0000', 'shop_logo_image{}ticket.png{}shop_logo_position{}L{}event_details_content{}osConcert presents\r\n\r\n\r\nTicket: [[Products Name]] Price: [[Concert Price]]\r\n\r\n[[Billing Name]]\r\nTicket ref: [[Ref ID]][[Order ID]]_[[Prd ID]][[GA ID]]\r\n\r\nTICKETS: osConcert Box Office - OBO\r\nTel - 123 456-1122 www.osconcert.com{}event_details_position{}L{}sponsor_logo_image{}sponsor_logo.png{}sponsor_logo_position{}R{}event_condition_content{}Refundable only if event is cancelled{}event_condition_position{}L{}bar_image_position{}');


INSERT INTO `configuration` (`configuration_id`, `configuration_title`, `configuration_key`, `configuration_value`, `configuration_description`, `configuration_group_id`, `sort_order`, `last_modified`, `date_added`, `use_function`, `set_function`) VALUES
(1066, 'Display Product Add-to-cart for multi products', 'PRODUCT_LIST_ADD', '1', 'Do you want to display the Product Add to cart button for EACH listing or have one button at the bottom ?', 8, 1, '2020-01-01', '2020-01-01', NULL, NULL);

INSERT INTO `configuration` (`configuration_id`, `configuration_title`, `configuration_key`, `configuration_value`, `configuration_description`, `configuration_group_id`, `sort_order`, `last_modified`, `date_added`, `use_function`, `set_function`) VALUES
(1067, 'Show products SOLD OUT (Out of  Stock)', 'SHOW_GA_SOLDOUT', 'no', 'Show products with SOLD OUT button or HIDE products from listing altogether', 19, 62, '2020-01-01 00:00:00', '2020-01-01 00:00:00', NULL, 'tep_cfg_select_option(array(\'yes\', \'no\'),');

UPDATE `customers_info_fields` SET `display_page` = 'C,E,B1,B2,A' WHERE `customers_info_fields`.`info_id` = 12;
UPDATE `customers_info_fields` SET `display_page` = 'C,E,B1,B2,A' WHERE `customers_info_fields`.`info_id` = 15;

INSERT INTO `sql_queries` VALUES('osconcert_v9_0_6.sql',NOW());


INSERT INTO `sql_queries` VALUES('osconcert_v9_0_6.sql',NOW());