SET sql_mode = 'ALLOW_INVALID_DATES';

UPDATE `admin_files` SET `admin_files_name` = 'orders_barcode.php' WHERE `admin_files`.`admin_files_id` = 1209; 
UPDATE `admin_menus` SET `filename` = 'orders_barcode.php' WHERE `admin_menus`.`menu_id` = 424; 

INSERT INTO `admin_menus_description` (`menu_id`, `menu_text`, `language_id`) VALUES
(433, 'Clicky', 1),
(434, 'Cookiehub', 1);
INSERT INTO `admin_menus` (`menu_id`, `parent_id`, `admin_groups_id`, `menu_pos`, `filename`, `params`, `menu_item_type`) VALUES
(433, 7, '1', 433, 'configuration.php', 'gID=925', ''),
(434, 7, '1', 434, 'configuration.php', 'gID=926', '');

INSERT INTO `configuration` (`configuration_id`, `configuration_title`, `configuration_key`, `configuration_value`, `configuration_description`, `configuration_group_id`, `sort_order`, `last_modified`, `date_added`, `use_function`, `set_function`) VALUES
(1068, 'Clicky Key', 'CLICKY_KEY', '', 'Your API Key Assigned by clicky.com', 925, 2, '2022-07-01 18:30:53', '2020-01-01 00:00:00', NULL, NULL),
(1069, 'Cookiehub Key', 'COOKIEHUB_KEY', '', 'Your API Key Assigned by Cookiehub.com', 926, 1, '2022-07-01 18:25:17', '2020-01-01 00:00:00', NULL, NULL);

INSERT INTO `configuration` (`configuration_id`, `configuration_title`, `configuration_key`, `configuration_value`, `configuration_description`, `configuration_group_id`, `sort_order`, `last_modified`, `date_added`, `use_function`, `set_function`) VALUES
(1070, 'Show Coupon eTicket Details', 'COUPON_TICKET_DETAILS', 'none', 'Choose what you want to show on the eTicket about a COUPON order', 920, 23, '2022-05-12 04:06:02', NULL, NULL, 'tep_cfg_select_option(array(\"name\",\"description\",\"both\",\"default\",\"none\"),');

INSERT INTO `configuration` (`configuration_id`, `configuration_title`, `configuration_key`, `configuration_value`, `configuration_description`, `configuration_group_id`, `sort_order`, `last_modified`, `date_added`, `use_function`, `set_function`) VALUES
(1071, 'Show Tax eTicket Details', 'TAX_TICKET_DETAILS', 'none', 'Show Tax eTicket Details', 920, 22, '2022-05-12 04:06:02', NULL, NULL, 'tep_cfg_select_option(array(\"plus_title\",\"plus_description\",\"inc_title\",\"inc_description\",\"none\"),');

INSERT INTO `configuration_group` (`configuration_group_id`, `configuration_group_title`, `configuration_group_description`, `sort_order`, `visible`, `configuration_access_key`) VALUES
(930, 'Clicky', 'Clicky', 0, 1, 'Clicky'),
(931, 'Cookiehub', 'Cookiehub', 0, 1, 'Cookiehub');

INSERT INTO `configuration` (`configuration_id`, `configuration_title`, `configuration_key`, `configuration_value`, `configuration_description`, `configuration_group_id`, `sort_order`, `last_modified`, `date_added`, `use_function`, `set_function`) VALUES
(1072, 'SMTP DEBUG', 'SMTP_DEBUG', '0', 'Enable SMTP debugging, 0 = off (for production use),1 = client messages,2 = client and server messages', 12, 8, '2020-01-01', '2020-01-01', NULL, NULL),
(1073, 'HTML Email', 'HTML_AREA_WYSIWYG_DISABLE_EMAIL', 'Enable', 'Enable/Disable WYSIWYG HTML Email', 112, 56, '2010-01-01', '2010-01-01', NULL, 'tep_cfg_select_option(array(\"Enable\", \"Disable\"),');

INSERT INTO `email_messages` (`message_id`, `message_send`, `message_subject`, `message_reply_to`, `message_text`, `message_format`, `message_type`) VALUES
(7, '', 'osConcert Account Details', 'info@osconcert.com', '<p>Dear %%First_Name%%,</p><p>Your %%Store_Name%% account details are as follows:</p><p>Username: %%Login_Email%%</p><p>Temporary Password: %%Login_Password%%</p><p>IMPORTANT: Please update to a more secure password in your account!</p><p>If you have trouble accessing your account, please contact us at: %%Store_Email%%</p><p>With thanks, %%Store_Owner%%</p>', 'B', 'CUP');

INSERT INTO `configuration` (`configuration_id`, `configuration_title`, `configuration_key`, `configuration_value`, `configuration_description`, `configuration_group_id`, `sort_order`, `last_modified`, `date_added`, `use_function`, `set_function`) VALUES
(1074, 'Google Captcha Public Key v3', 'GOOGLE_CAPTCHA_PUBLIC_KEY_V3', '', 'Google Captcha Public Key v3 from your google account', 12, 1, '2022-12-01', '2022-12-01', NULL, NULL),
(1075, 'Google Captcha Secret Key v3', 'GOOGLE_CAPTCHA_SECRET_KEY_V3', '', 'Google Captcha Secret Key v3 from your google account', 12, 2, '2022-12-01', '2022-12-01', NULL, NULL),
(1076, 'Google Captcha Captcha Contaxt Us Score v3', 'GOOGLE_CAPTCHA_SCORE_CONTACT_US_V3', '0.5', 'Google Captcha score, a setting of 0.5 is a good place to start. If you change the score in application_top to 1.0 then you can test the rejection.', 12, 3, '2022-12-01', '2022-12-01', NULL, NULL);

INSERT INTO `sql_queries` VALUES('osconcert_v9_0_7.sql',NOW());


INSERT INTO `sql_queries` VALUES('osconcert_v9_0_7.sql',NOW());