SET sql_mode = 'ALLOW_INVALID_DATES';

UPDATE `configuration` SET `configuration_value` = 'osConcert Version 10' WHERE `configuration`.`configuration_id` = 242;

CREATE TABLE IF NOT EXISTS `seat_plan` (
  `products_id` int(11) NOT NULL AUTO_INCREMENT,
  `products_quantity` varchar(255) NOT NULL DEFAULT '1',
  `products_name` varchar(255) NOT NULL,
  `products_number` varchar(255) NOT NULL,
  `color_code` varchar(255) NOT NULL DEFAULT 'NULL',
  `products_status` int(1) DEFAULT 8,
  `products_x` int(11) NOT NULL,
  `products_y` int(11) NOT NULL,
  PRIMARY KEY (products_id)
) CHARACTER SET utf8 COLLATE utf8_unicode_ci;

INSERT INTO `admin_files` (`admin_files_id`, `admin_files_name`, `admin_files_is_boxes`, `admin_files_to_boxes`, `admin_groups_id`, `admin_files_type`, `admin_files_help_id`, `admin_new_group_id`) VALUES
(1225, 'seatplan_generator.php', 0, 0, '1', 'D', 'D', NULL),
(1226, 'print_seatplan.php', 0, 0, '1', 'D', 'D', NULL),
(1229, 'import.php', 0, 0, '1', 'D', 'D', NULL),
(1230, 'export_sp.php', 0, 0, '1', 'D', 'D', NULL),
(1231, 'ajax_seatplan_list.php', 0, 0, '1', 'D', 'D', NULL);

INSERT INTO `quick_links` (`links_id`, `login_group_id`, `filename`, `params`, `count`, `title`, `sort_order`) VALUES
(7, 1, 'seatplan_generator.php', '', 0, 'SP Generator', 0);


INSERT INTO `sql_queries` VALUES('osconcert_v9_1_0.sql', CURDATE());
INSERT INTO `sql_queries` VALUES('osconcert_v9_1_0.sql', CURDATE());