<?php
/*
  Copyright (c) 2021 osConcert
*/
 // Check to ensure this file is included in osConcert!
defined('_FEXEC') or die(); 

define('HEADING_TITLE', 'Categories / Products');
define('HEADING_TITLE_SEARCH', 'Search:');
define('HEADING_TITLE_GOTO', 'Go To:');
define('TABLE_HEADING_ID', 'ID');
define('TABLE_HEADING_CATEGORIES_PRODUCTS', 'Categories / Products');
define('TABLE_HEADING_ACTION', 'Action');
define('TABLE_HEADING_STATUS', 'Status');
define('IMAGE_ORDER_DOWN','Down');
define('IMAGE_ORDER_UP','Up');
define('TEXT_ALL_PRODUCTS','All Products/Seats');
define('TEXT_NEW_PRODUCT', 'New Product in &quot;%s&quot;');
define('TEXT_CATEGORIES', 'Categories:');
define('TEXT_SUBCATEGORIES', 'Subcategories:');
define('TEXT_PRODUCTS', 'Products/Seats:');
define('TEXT_PRODUCTS_PRICE_INFO', 'Price:');
define('TEXT_PRODUCTS_TAX_CLASS', 'Tax Class:');
define('TEXT_PRODUCTS_AVERAGE_RATING', 'Average Rating:');
define('TEXT_PRODUCTS_QUANTITY_INFO', 'Quantity:');
define('TEXT_DATE_ADDED', 'Date Added:');
define('TEXT_DATE_AVAILABLE', 'Date Available:');
define('TEXT_LAST_MODIFIED', 'Last Modified:');
define('TEXT_IMAGE_NONEXISTENT', 'IMAGE DOES NOT EXIST');
define('TEXT_NO_CHILD_CATEGORIES_OR_PRODUCTS', 'Please insert a new category or product in this level.');
define('TEXT_PRODUCT_MORE_INFORMATION', 'For more information, please visit this products <a href="http://%s" target="blank"><u>webpage</u></a>.');
define('TEXT_PRODUCT_DATE_ADDED', 'This product was added to our catalog on %s.');
define('TEXT_PRODUCT_DATE_AVAILABLE', 'This product will be in stock on %s.');
define('TEXT_EDIT_INTRO', 'Please make any necessary changes');
define('TEXT_EDIT_CATEGORIES_ID', 'Category ID:');
define('TEXT_EDIT_CATEGORIES_NAME', 'Category Name:');
define('TEXT_EDIT_CATEGORIES_IMAGE', 'Category Image:');
define('TEXT_EDIT_SORT_ORDER', 'Sort Order:');
define('TEXT_EDIT_CATEGORIES_VENUE', 'Category Venue:');
define('TEXT_EDIT_CATEGORIES_DATE', 'Category Date:');
define('TEXT_EDIT_CATEGORIES_TIME', 'Category Time:');
define('TEXT_EDIT_CATEGORIES_HEADING_TITLE', 'Category heading title:');
define('TEXT_EDIT_CATEGORIES_DESCRIPTION', 'Description:');
define('TEXT_INFO_COPY_TO_INTRO', 'Please choose a new category you wish to copy this product to');
define('TEXT_INFO_CURRENT_CATEGORIES', 'Current Category:');
define('TEXT_INFO_HEADING_NEW_CATEGORY', 'New Category');
define('TEXT_INFO_HEADING_EDIT_CATEGORY', 'Edit Category');
define('TEXT_INFO_HEADING_DELETE_CATEGORY', 'Delete Category');
define('TEXT_INFO_HEADING_MOVE_CATEGORY', 'Move Category');
define('TEXT_INFO_HEADING_DELETE_PRODUCT', 'Delete Product');
define('TEXT_INFO_HEADING_COPY_PRODUCT', 'Copy Product');
define('TEXT_INFO_HEADING_MOVE_PRODUCT', 'Move Product');
define('TEXT_INFO_HEADING_COPY_TO', 'Copy To');
define('TEXT_DELETE_CATEGORY_INTRO', 'Are you sure you want to delete this category?');
define('TEXT_DELETE_PRODUCT_INTRO', 'Are you sure you want to permanently delete this product?');
define('TEXT_DELETE_PRODUCT_DESIGN', 'Are you sure you want to permanently delete this product?<br><h3>DESIGN MODE products should NOT be deleted. All products are relative to each other. This action could alter the design presentation. HIDE products instead! Alternative Edit Categories</h3>');
define('TEXT_DELETE_WARNING_CHILDS', '<b>WARNING:</b> There are %s (child-)categories still linked to this category!');
define('TEXT_DELETE_WARNING_PRODUCTS', '<b>WARNING:</b> There are %s products still linked to this category!');
define('TEXT_MOVE_PRODUCTS_INTRO', 'Please select which category you wish <b>%s</b> to reside in');
define('TEXT_MOVE_CATEGORIES_INTRO', 'Please select which category you wish <b>%s</b> to reside in');
define('TEXT_CLONE_CATEGORIES_INTRO', 'This option will create a clone of the current state of <b>%s</b>.');
define('TEXT_CLONE_CATEGORIES_INTO','CLONE');
define('TEXT_CLONE_CATEGORIES_WARNING', 'IMPORTANT: Clone at <strong>root</strong> level...then move to sub categories.<br>Clone function is for Design Mode and GA events but some <strong>Integrated Seat Plans</strong> can be cloned if they have a perfect Section ID. <br><br><strong>NOTE:</strong> All categories and products must have an identical Section ID (section_id)<br>Check your Section ID\'s are correct here: <a href="section_check.php">Check Section IDs</a>. If there are discrepancies you can fix them.<br>Furthermore: (<strong>UPDATE March 2025</strong>)...we can set Section ID for all categories and sub categories and all child products. Click the icon <strong>Section ID</strong> <br>You can check with osConcert Support before cloning, just email: gordon@osconcert.com.<br>ALWAYS <a href="shop_backup.php">BACK UP</a> DATABASE before complex cloning procedures.');
define('TEXT_CLONE_CATEGORIES_WAIT','Please be patient. This may take some time..... ');
define('TEXT_MOVE', 'Move <b>%s</b> to:');
define('TEXT_NEW_CATEGORY_INTRO', 'Please fill out the following information for the new category');
define('TEXT_CATEGORIES_NAME', 'Category Name:');
define('TEXT_CATEGORIES_IMAGE', 'Category Image:');
define('TEXT_SORT_ORDER', 'Sort Order:');
define('TEXT_PRODUCTS_STATUS', 'Products Status:');
define('TEXT_PRODUCT_EXPIRES', 'Product expires:');
define('TEXT_PRODUCTS_DATE_AVAILABLE', 'When enabling Product Expiry:<br>ALL products in this category must have a Date and Time<br>Date and Time this product expires:');
define('TEXT_PRODUCT_AVAILABLE', 'In Stock (1)');
define('TEXT_PRODUCT_NOT_AVAILABLE', 'Out of Stock');
define('TEXT_PRODUCT_HIDDEN', 'Hidden (8)');
define('TEXT_PRODUCTS_MANUFACTURER', '(manufacturers_id):');
define('TEXT_PRODUCTS_NAME', 'Name:');
define('TEXT_PRODUCTS_DESCRIPTION', 'Description:');
define('TEXT_PRODUCTS_QUANTITY', 'Quantity:');

define('TEXT_COLOR_CODE', 'Seat Price Color Band for seat cells (red,blue,green,yellow,fuchsia,salmon,teal,orange,palegreen,skyblue and thistle):');
define('TEXT_PRODUCTS_MODEL', 'IMPORTANT: Set the DATE ID for parent GA products at the Admin>Concert Details<br>(Temporarily over-ride it here)');
define('TEXT_PRODUCTS_SEASON', 'For Season Tickets use SEASON_X where X = number of tickets assigned.');
define('TEXT_PRODUCTS_IMAGE', 'Products Image %s:');
define('TEXT_PRODUCTS_TITLE', 'Image Caption %s:');
define('TEXT_PRODUCTS_URL', 'Seat Number (Seat cell link):');
//define('TEXT_PRODUCTS_URL_WITHOUT_HTTP', '<small>(without https://)</small>');
define('TEXT_PRODUCTS_PRICE_NET', 'Price (Net):');
define('TEXT_PRODUCTS_PRICE_GROSS', 'Price (Gross):');
define('TEXT_PRODUCTS_WEIGHT', 'Products Weight:');
define('TEXT_PRODUCTS_SKU','SKU: (set to 6 for Gift Vouchers, 8 for Multiple Fixed Vouchers)');
define('EMPTY_CATEGORY', 'Empty Category');
define('TEXT_HOW_TO_COPY', 'Method:');
define('TEXT_COPY_AS_LINK', 'Link product');
define('TEXT_COPY_AS_DUPLICATE', 'Duplicate product');
define('TEXT_COPY_TO','Copy to:');
define('ERROR_CANNOT_LINK_TO_SAME_CATEGORY', 'Error: Can not link products in the same category.');
define('ERROR_CATALOG_IMAGE_DIRECTORY_NOT_WRITEABLE', 'Error: Catalog images directory is not writeable: ' . DIR_FS_CATALOG_IMAGES);
define('ERROR_CATALOG_IMAGE_DIRECTORY_DOES_NOT_EXIST', 'Error: Catalog images directory does not exist: ' . DIR_FS_CATALOG_IMAGES);
define('ERROR_CANNOT_MOVE_CATEGORY_TO_PARENT', 'Error: Category cannot be moved into child category.');
define('TEXT_PRODUCTS_SORT_ORDER','Products Sort order:');

define('TEXT_QUANTITY_ERROR','Quantity must be a number');
define('TEXT_QUANTITY','Quantity');

define('TEXT_ERROR_PRODUCTS_SKU','SKU must be a digit number');
define('TEXT_ERROR_SHOP_WEIGHT_UNIT','Decimal Value not allowed for products weight in Ounces');
define('TEXT_KILOGRAMS','Kilograms');
define('TEXT_OUNCES','Ounces');
define('TEXT_KG','kgs');
define('TEXT_OZ','ozs');
define('TEXT_ERROR_NET_PRICE','Enter valid product Price');
define('TEXT_AUTHOR_NAME','Author: ');
define('ERR_AUTHOR_NAME','Author name should not be empty for all languages');
define('TEXT_SKU_COUNT','<span class="errortext">Length should be %s characters</span>');
define('TEXT_MOVE_TO','Move to:');
define('TEXT_PRODUCT_MOVED_SUCCESS','Product Moved Successfully...');
define('TEXT_PRODUCT_DELETE_SUCCESS','Product Deleted Successfully...');
define('TEXT_PRODUCT_COPY_SUCCESS','Product Copied Successfully...');
define('TEXT_PRODUCT_SORTORDER_MOVED_SUCCESS','Product sortorder Successfully...');
define('TEXT_PRODUCT_SORTORDER_MOVED_ERROR','<font color=red>Product Moving Error...</font>');
define('ERROR_IN_DATABASE_TRY_AGAIN','<font color=red>we cannot sort this product.</font>');
define('TEXT_CATEGORY_DELETED_SUCCESS','Category deleted successfully...');
define('TEXT_CATEGORY_MOVED_SUCCESS','Category moved successfully...');
define('ERR_PRODUCT_NAME','Product name should not empty for all languages');
define('ERR_QUANTITY','Quantity should not empty and must be greater than 0');
define('TEXT_PRODUCT_DELETED_SUCCESS','Product deleted successfully...');
define('TEXT_PRODUCT_INSERTED_SUCCESS','Product inserted successfully...');
define('ERR_CATEGORY_SELECT','select any one category in category list');
define('ERR_IMAGE_UPLOAD_TYPE','Images must be in the .jpeg or .jpg or .gif or .png or webp');
define('TEXT_WEIGHT','Weight :');
define('TEXT_WEIGHT_ERROR','Weight must be a number');
define('TEXT_PRODUCT_MODE','Product Mode<br> (Select -Downloadable- only if the product is a Digital Download e.g zip/mp3 etc):');
define('TEXT_DOWNLOAD_LINK','Download File:');
define('TEXT_DOWNLOADS_PER_CUSTOMERS','Downloads per customers:');
define('TEXT_DOWNLOAD_DATE','Download Date:');
define('TEXT_LOADING_DATA','Loading Data...');
define('TEXT_RECORDS', 'Products/Seats');
define('TEXT_CAT_QUANTITY_REMAINING_TEXT','* do not edit unless you are sure what you are doing');
define('TEXT_CAT_QUANTITY_REMAINING','Tickets remaining');
define('TEXT_CAT_QUANTITY_TEXT','* do not edit unless you are sure what you are doing');
define('TEXT_CAT_QUANTITY','Initial tickets available');
define('TEXT_CAT_GA','Select if this will be a General Admission Event with a Master Quantity<br>All products in this category will be governed by the quantity you set here');
define('TEXT_CAT_GA_TEXT','');
define('TEXT_EDIT_CATEGORIES_ROW_COLOUR', 'Category/Row color band:');
define('TEXT_EDIT_TICKET_IMAGE','Ticket image');
define('TEXT_EDIT_TICKET_IMAGE_NEW','Upload an new ticket image?');
define('TEXT_EDIT_TICKET_IMAGE_DELETE','Delete the ticket image?');
define('TEXT_ROW_STATUS_INTRO', 'Please select the STATUS you wish to give products in <b>%s</b>');
define('TEXT_CHANGE', 'Change Row Status <b>%s</b> to:');
define('TEXT_GENERAL_ADMISSION','General Admission (G)');
define('TEXT_RESERVED_SEATING','Reserved Seating (P)');
define('TEXT_FAMILY','Family Ticket (F)');
define('TEXT_ADDON','Add-On (B)');
define('TEXT_GIFT','Gift Coupon (C)');
define('TEXT_SEASON','Season Tickets (X)');
define('TEXT_ROW_TEXT','Row Name/Number Text (L)');
define('TEXT_PROPS','Prop (Q) ');
define('TEXT_PRODUCTS_WIDTH','Product Width');
define('TEXT_PRODUCTS_HEIGHT','Product Height');
define('TEXT_PRODUCTS_SCALE_X','Product Scale X');
define('TEXT_PRODUCTS_SCALE_Y','Product Scale Y');
define('TEXT_PRODUCTS_ROTATE','Product Rotate (deg)');
define('TEXT_PRODUCTS_X','Product X Coordinate');
define('TEXT_PRODUCTS_Y','Product Y Coordinate');
define('TEXT_PRODUCTS_LIVESTREAM','Livestream URL');
define('TEXT_PRODUCTS_NUMBER','Seat Cell Name or Number (optional)');
define('TEXT_SECTION_ID','Section ID:');
define('TEXT_PLAN','Plan ID:<br>Type of feature');
define('TEXT_PRODUCT_NAME','Ticket/Products Name');
define('DESIGN_MODE5','Design Mode Style 5');
define('DESIGN_MODE6','Design Mode Style 6');
define('DESIGN_MODE7','Design Mode Style 7');
define('DESIGN_MODE8','Design Mode Style 8');
define('CSS_STYLE1','Your CSS Style 1');
define('CSS_STYLE2','Your CSS Style 2');
define('CSS_STYLE3','Your CSS Style 3');
define('CSS_STYLE4','Your CSS Style 4');

define('NORMAL_SEATPLAN_MODE','Normal Seat Plan Mode');
define('SEATPLAN_SUB','Seat Plan Sub Category');
define('GA_MODE','General Admission Mode');
define('SEATPLAN_TOP','Seat Plan Top');
define('TEXT_EDIT_CATEGORIES_IMAGE_3','Design Background');
define('TEXT_EDIT_CATEGORIES_IMAGE_4','Design Stage');
define('TEXT_EDIT_DESIGN_IMAGE_NEW','Upload a new design background image?');
define('TEXT_EDIT_DESIGN_IMAGE_DELETE','Delete the design background image?');
define('TEXT_EDIT_STAGE_IMAGE_NEW','Upload a new stage image?');
define('TEXT_EDIT_STAGE_IMAGE_DELETE','Delete the stage image?');
define('TEXT_SELECT_COLOR','Optional Category Color Band');
define('TEXT_SELECT_PLAN','Select the Default Mode for this category');
define('TEXT_SELECT_MODE','Select the Design/CSS Stylesheet');
define('TEXT_SELECT_BG','Select the default height');
define('TEXT_EDIT_BG_HEIGHT','DESIGN MODE: Enter the HEIGHT of the \'Design Space\' in pixels (500 is the default in your css stylesheet)');
define('TEXT_PRODUCT_TEXT','Text Status Only');
define('TEXT_PRODUCT_BUTTON','Button Status (to GA)');
define('TEXT_BUTTON_URL','Product Anchor ID (for button)');
define ('HEADING_PRICE', 'Price');
define ('TEXT_CATEGORIES_STATUS', 'Category STATUS');
define ('TEXT_CATEGORY_ACTIVE', 'Active');
define ('TEXT_ACTIVATED', 'You are activating this category > SAVE');
define ('TEXT_DEACTIVATE', 'De-activate > SAVE');
define ('TEXT_DEACTIVATED', 'De-activated');
define ('TEXT_STYLESHEET', 'Stylesheet Name');
define('TEXT_MULTI_GIFT','Multiple Coupons (M)');
?>
