SET sql_mode = 'ALLOW_INVALID_DATES';
INSERT INTO `configuration` (`configuration_id`, `configuration_title`, `configuration_key`, `configuration_value`, `configuration_description`, `configuration_group_id`, `sort_order`, `last_modified`, `date_added`, `use_function`, `set_function`) VALUES
(167, 'Default Order Status For Downloads', 'DOWNLOADS_CONTROLLER_ORDERS_STATUS', '3', 'Default Order Status For Downloads.', 13, 0, '2020-01-01 00:00:00', '2023-01-01 00:00:00', NULL, NULL);
INSERT INTO `admin_files` (`admin_files_id`, `admin_files_name`, `admin_files_is_boxes`, `admin_files_to_boxes`, `admin_groups_id`, `admin_files_type`, `admin_files_help_id`, `admin_new_group_id`) VALUES (NULL, 'voucher_ticket.php', '0', '0', '1', 'D', 'D', NULL); 

INSERT INTO `configuration` (`configuration_id`, `configuration_title`, `configuration_key`, `configuration_value`, `configuration_description`, `configuration_group_id`, `sort_order`, `last_modified`, `date_added`, `use_function`, `set_function`) VALUES
(7, 'GA only', 'GA_ONLY', 'false', 'Set as General Admission products only', 19, 1, '2020-01-01', '2020-01-01', NULL, 'tep_cfg_select_option(array(\"true\", \"false\"),');

INSERT INTO `configuration_group` (`configuration_group_id`, `configuration_group_title`, `configuration_group_description`, `sort_order`, `visible`, `configuration_access_key`) VALUES (NULL, 'Voucher Default', 'Voucher Default', '8', '1', 'Voucher Default'); 
INSERT INTO `admin_menus` (`menu_id`, `parent_id`, `admin_groups_id`, `menu_pos`, `filename`, `params`, `menu_item_type`) VALUES (NULL, '9', '1', '250', 'configuration.php', 'gID=932', 'P'); 
INSERT INTO `admin_menus_description` (`menu_id`, `menu_text`, `language_id`) VALUES ('435', 'Voucher Default', '1'); 

INSERT INTO `configuration` (`configuration_id`, `configuration_title`, `configuration_key`, `configuration_value`, `configuration_description`, `configuration_group_id`, `sort_order`, `last_modified`, `date_added`, `use_function`, `set_function`) VALUES
(1077, 'Unique Default Voucher ID', 'DEFAULT_VOUCHER_ID', '', 'Set Default Unique/DateID for this category', 932, 1, '2023-01-01', '2023-01-01', NULL, NULL),
(1078, 'Default Voucher Issue Name', 'DEFAULT_VOUCHER_ISSUED', 'Gift Voucher', 'Set Name of Default Voucher', 932, 2, '2023-01-01', '2023-01-01', NULL, NULL),
(1079, 'Default Voucher Category Name', 'DEFAULT_VOUCHER_CATEGORY', 'Gift Voucher', 'Set Default Voucher Category Name', 932, 3, '2023-01-01', '2023-01-01', NULL, NULL),
(1080, 'Default Voucher Product ID', 'DEFAULT_VOUCHER_PID', '', 'Set Default Voucher Product ID (if there is an existing product id)', 932, 4, '2023-01-01', '2023-01-01', NULL, NULL);

INSERT INTO `configuration_group` (`configuration_group_id`, `configuration_group_title`, `configuration_group_description`, `sort_order`, `visible`, `configuration_access_key`) VALUES 
(933, 'Reminder Product', 'Reminder Product', '8', '1', 'Reminder Product'); 
INSERT INTO `admin_menus` (`menu_id`, `parent_id`, `admin_groups_id`, `menu_pos`, `filename`, `params`, `menu_item_type`) VALUES 
(436, '4', '1', '250', 'configuration.php', 'gID=933', 'P'); 
INSERT INTO `admin_menus_description` (`menu_id`, `menu_text`, `language_id`) VALUES 
(436, 'Reminder Product', '1');

INSERT INTO `configuration` (`configuration_id`, `configuration_title`, `configuration_key`, `configuration_value`, `configuration_description`, `configuration_group_id`, `sort_order`, `last_modified`, `date_added`, `use_function`, `set_function`) VALUES
(1081, 'Reminder:shopping_cart.php', 'REMINDER_1', 'yes', 'Enable reminder product at shopping cart page', 933, 10, '2010-01-01', '2010-01-01', NULL, 'tep_cfg_select_option(array(\"yes\", \"no\"),'),
(1082, 'Reminder:checkout_payment.php', 'REMINDER_2', 'no', 'Enable reminder product at payment method page', 933, 11, '2010-01-01', '2010-01-01', NULL, 'tep_cfg_select_option(array(\"yes\", \"no\"),'),
(1083, 'Reminder:checkout_confirmation.php', 'REMINDER_3', 'no', 'Enable reminder product at checkout confirmation page', 933, 12, '2010-01-01', '2010-01-01', NULL, 'tep_cfg_select_option(array(\"yes\", \"no\"),'),
(1084, 'Reminder Product IDs', 'REMINDER_PRODUCTS', '0', 'Set Product IDs separated with a comma e.g 74,234,54 ', 933, 13, '2023-01-01', '2023-01-01', NULL, NULL),
(1085, 'Reminder Text', 'WANNABUY_TEXT_WANT', 'Have you considered buying our programme?', 'Have you considered.....?', 933, 14, '2023-01-01', '2023-01-01', NULL, NULL);

INSERT INTO `configuration` (`configuration_id`, `configuration_title`, `configuration_key`, `configuration_value`, `configuration_description`, `configuration_group_id`, `sort_order`, `last_modified`, `date_added`, `use_function`, `set_function`) VALUES
(1086, 'Second Email Address Check', 'ENTRY_EMAIL_ADDRESS_CHECK', 'false', 'Second Email Address Check', 2, 6, '2023-01-01', '2023-01-01', NULL, 'tep_cfg_select_option(array(\"true\", \"false\"),');


INSERT INTO `sql_queries` VALUES('osconcert_v9_0_8.sql',NOW());


INSERT INTO `sql_queries` VALUES('osconcert_v9_0_8.sql',NOW());